Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class JARSoundbankReader

    java.lang.Object
      javax.sound.midi.spi.SoundbankReader
          com.sun.media.sound.JARSoundbankReader

    public class JARSoundbankReader

extends javax.sound.midi.spi.SoundbankReader

JarSoundbankReader is used to read sounbank object from jar files.

Author:
  Karl Helgason

Constructor Summary
`JARSoundbankReader()`

Method Summary
`javax.sound.midi.Soundbank` | `getSoundbank(java.io.File file)`
`javax.sound.midi.Soundbank` | `getSoundbank(java.io.InputStream stream)`
`javax.sound.midi.Soundbank` | `getSoundbank(java.net.URL url)`
`boolean` | `isZIP(java.net.URL url)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JARSoundbankReader

    public JARSoundbankReader()

Method Detail

### isZIP

    public boolean isZIP(java.net.URL url)

### getSoundbank

    public javax.sound.midi.Soundbank getSoundbank(java.net.URL url)
                                            throws javax.sound.midi.InvalidMidiDataException,
                                                   java.io.IOException

  Specified by:
    `getSoundbank` in class `javax.sound.midi.spi.SoundbankReader`
  Throws:
    `javax.sound.midi.InvalidMidiDataException`
    `java.io.IOException`

### getSoundbank

    public javax.sound.midi.Soundbank getSoundbank(java.io.InputStream stream)
                                            throws javax.sound.midi.InvalidMidiDataException,
                                                   java.io.IOException

  Specified by:
    `getSoundbank` in class `javax.sound.midi.spi.SoundbankReader`
  Throws:
    `javax.sound.midi.InvalidMidiDataException`
    `java.io.IOException`

### getSoundbank

    public javax.sound.midi.Soundbank getSoundbank(java.io.File file)
                                            throws javax.sound.midi.InvalidMidiDataException,
                                                   java.io.IOException

  Specified by:
    `getSoundbank` in class `javax.sound.midi.spi.SoundbankReader`
  Throws:
    `javax.sound.midi.InvalidMidiDataException`
    `java.io.IOException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD